Kleines Installer Script steht zur VerfĂĽgung

  • Kleines Installer Script steht zur VerfĂĽgung

    Guten Tag liebe Sponsor-Universe Gemeinde.



    Da ich momentan sehr viele Systeme betreue und Installiere, habe ich angefangen, mir ein eigenes Script zu erstellen. Dieses Script ist derzeit noch in der Entwicklung und wird durch neue Ideen ergänzt. Dieses Script steht euch frei zur Nutzung.



    WofĂĽr das Installationsscript?

    • -Sicherere Installationen von unerfahrenen Benutzern
    • -Effizienter Support aufgrund weniger Falschinstallationen
    • -Sicherere Infrastruktur der Clients
    • -Schnelleres und einfacheres Installieren von Diensten und Services
    FĂĽr wen ist das Script geeignet?
    • -Anfänger, welche noch keine Erfahrungen mit Unix Systemen sammelten
    • -Administratoren, welche immer wieder dieselben Dienste Installieren
    • -Erstinstallation und Testung von Systemen
    • -«Lazy Boys»
    Was kann denn das Script?
    • - Installation von LAMP Servern (Apache, PHP5/7, MariaDB)
    • - Installation von Teamspeak 3 Server (Aktuelle und vorhergehende Version)
    • - Multiplattform Unixberreich (Derzeit Debian, Ubuntu (CentOS 7 noch nicht 100% alles))
    • - Minecraft Installation von Version 1.10.0 bis 1.12.1
    • - Let's Encrypt mit Autorenew
    • - Benchmark Script von Storage-Plan (Ensky-Media)
    • - Sinusbot Installation
    Was wird noch Implementiert?
    • -Eure WĂĽnsche / Anregungen
    Was derzeit gesucht wird:
    • -Tester
    • -Fehlermeldungen / Bugreports



    Ich würde mich freuen, wenn es hier einige Testkandidaten gibt, welche dieses Script verwenden und Fehler und Bugs mir melden. Zudem höre ich gerne auf eure Vorschläge, was eurer Meinung nach noch fehlt. Einige Punkte sind auf der ToDo, die nach Prüfung von Daten- und Übermittlungsschutz öffentlich vorgestellt werden.

    Das Script unterliegt momentan keiner Lizenz. Jedoch wĂĽrde ich mich dennoch freuen, wenn das Script mit einem eindeutigen Hinweis auf http://store-host.com verbreitet wird.




    An dieser Stelle geht mein Dank an Neavision, Thhunder, iTweek und Vakarian, die als Early-Access-Tester bereits das Script auf Herz und Nieren getestet haben.



    Nun zum Wesentlichen: Die Installation des Scriptes.

    1. Terminal öffnen.
    2. Script downloaden: wget menu.sh
    3. Rechte setzen: chmod -+x menu.sh
    4. Starten: ./menu.sh


    Relevante Links:

    Script: bench.myvps.care/menu.sh

    Changelog: bench.myvps.care/changelog.md

    Webseite: https://www.store-host.com

    Spoiler anzeigen
    # Changelog
    All notable changes to this project will be documented in this file.

    ## [Unreleased]

    ## [0.0.2c] - 2017-13-08
    ### Added
    - Minecraft Vanilla Support Debian Version 1.10.0 - 1.12.1
    ### Changed
    - Some Bugfixes Debian versions
    - Moved some Files to other Directory's for more transparency
    ### Removed
    ### Known Bugs
    - CentOS7 LAMP phpmyadmin not Working. (Configuration modification required by client)

    ## [0.0.2b] - 2017-10-08
    ### Added
    - Sinusbot for Teamspeak/Discord (Only Debian atm)
    ### Changed
    - Some Bugfixes Debian versions
    ### Removed
    ### Known Bugs
    - CentOS7 Dialog fails in NoVNC Terminal
    - CentOS7 LAMP phpmyadmin not Working. (Configuration modification required by client)


    ## [0.0.2a] - 2017-08-08
    ### Added
    - LAMP-PHP7 Support for CentOS7
    ### Changed
    - Some Bugfixes Debian versions
    ### Removed
    - Dialog Help-Button (Not nessesary now)
    - Minecraft Support
    ### Known Bugs
    - CentOS7 Dialog fails in NoVNC Terminal
    - CentOS7 LAMP phpmyadmin not Working. (Configuration modification required)


    ## [0.0.2] - 2017-07-08
    ### Added
    - Support for Debian 9
    - Support for RPM Systems (Not fully implemented yet)
    - LAMP-PHP5 Installation via perl
    - LAMP-PHP7 Installation via perl
    ### Changed
    - Some Bugfixes Debian versions
    - LAMP-PHP5 Support for RPM based Systems (now via Perl)
    ### Removed

    ------------------------------------------------------

    ## [0.0.1] - 2017-??-??
    ### Added
    - Minecraft Installer
    - Counterstrike Installer
    - Froxlor Installer
    - IMSCP Installer
    - Teamspeak Installer
    - Ensky Benchmark
    - Dialog Support
    ### Changed
    -
    -
    ### Removed

    ------------------------------------------------------


    ################################

    Ich möchte keine Diskussion über die Nutzbarkeit des Scriptes entfachen. Ich bitte ausschließlich um konstruktive Beiträge.
    Bilder
    • Dienste.PNG

      13,52 kB, 410Ă—325, 38 mal angesehen
    • Hauptmenu.PNG

      16,59 kB, 490Ă—322, 31 mal angesehen
    • Interfaces.PNG

      11,78 kB, 414Ă—262, 26 mal angesehen
    • Steam-Server.PNG

      10,54 kB, 411Ă—259, 30 mal angesehen
    Mit freundlichen GrĂĽĂźen, Dream
    Store-Host.com | Easy. Fast. Reliable.
    Webspace, Domain, SSL Zertifikate uvm.
    Web: StoreHost.com

    Dieser Beitrag wurde bereits 6 mal editiert, zuletzt von Dream () aus folgendem Grund: #Erste Bilder HinzugefĂĽgt #Changelog Editiert

  • Nein momentan nicht, jedoch sind die PHP Versionen diesbezĂĽglich dafĂĽr vorgesehen. Sprich einer Additionellen Installation von Ioncube steht nicht im Wege und sollte ohne Probleme möglich sein. Am besten die Dokumentation von Ioncube befolgen.

    Hier noch der Link zur Ioncube Installation. Hier klicken
    Mit freundlichen GrĂĽĂźen, Dream
    Store-Host.com | Easy. Fast. Reliable.
    Webspace, Domain, SSL Zertifikate uvm.
    Web: StoreHost.com
  • @Jannik,

    Ich werde dies einmal im Detail anschauen. Leider kann ich nicht alles in das Script aufnehmen, da ich auf Spezielle Richtlinien sowie Lizenzen schauen muss. Sollte es von diesen Punkten her kein Problem darstellen, so kann ich dies mal anschauen und ggf. mit einbinden.

    PS: 2 Dateien einfĂĽgen nach Anleitung sollte noch fĂĽr jeden machbar sein. :D


    GrĂĽsse Dream
    Mit freundlichen GrĂĽĂźen, Dream
    Store-Host.com | Easy. Fast. Reliable.
    Webspace, Domain, SSL Zertifikate uvm.
    Web: StoreHost.com
  • Guten Abend,

    Debian 7 Wird auch nicht unterstĂĽtzt, zudem sollten alle Systeme mittlerweile mit Debian 8 oder besser "Debian 9" im Betrieb sein. Dieses Thema hatten wir ja bereits schon unter deinem Thema beschriebenen, warum man auf die neueren Distributionen wechseln sollte.
    Aber hier gerne noch ein Link, warum man kein Debian 7 mehr Nutzen sollte. Klick mich
    Bitte Beachte auch, dass LTS Versionen bei Debian von der Community betrieben werden und nicht durch das Security Team von Debian selber.

    GrĂĽsse Dream
    Mit freundlichen GrĂĽĂźen, Dream
    Store-Host.com | Easy. Fast. Reliable.
    Webspace, Domain, SSL Zertifikate uvm.
    Web: StoreHost.com
  • Jannik Speed-Hosting schrieb:

    installiert das auch ioncube mit
    Ich habe Dir mal das einfachste Tutorial herausgesucht: Install Ioncube Loader For All PHP Modes (CLI, CGI, FCGI And FPM) On Debian Wheezy



    Igelaty schrieb:

    Falls noch nicht eingebaut, wie sieht es mit einer Funktion aus, die automatisch Config, Ordner und Lets Encrypt Zertifikat fĂĽr Domains anlegt?
    Soll diese Funktion automatisch alle 90 Tage ausgeführt werden bzw. X Tage vor Ablauf der Zertifikates oder soll es händisch gemacht werden? Man sollte dazu beachten, dass nur 20 Zertifikate pro Domain jede Woche erstellt werden können (Rate Limits - Let's Encrypt - Free SSL/TLS Certificates), wenn es automatisch durchlaufen sollte.


    Neavision - Inh. Katrin Hampe
    Hans-Thoma-Str. 3
    79189 Bad Krozingen

    Ust.-ID: 311585496

    Neavision - Webhosting vom Profi